/* Written and developed by WPHelper.ir */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= font - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: bold;
    src: url('/wp-content/themes/woodmart-child/fonts/YekanBakh/YekanBakhFaNum-ExtraBold.woff2') format('woff2');
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: normal;
    src: url('/wp-content/themes/woodmart-child/fonts/YekanBakh/YekanBakhFaNum-Regular.woff2') format('woff2');
}
@font-face {
    font-family: Abar;
    font-style: normal;
    font-weight: bold;
    src: url('/wp-content/themes/woodmart-child/fonts/Abar/AbarLowFaNum-ExtraBold.woff2') format('woff2');
}

@font-face {
    font-family: Abar;
    font-style: normal;
    font-weight: normal;
    src: url('/wp-content/themes/woodmart-child/fonts/Abar/AbarLowFaNum-Regular.woff2') format('woff2');
}

body {
    font-family: YekanBakh !important;
    font-weight: normal;
}

h1,input,th,address,td,span:not(*.icon, *.fab, *.fas, .wd-icon, .rating, .ab-icon),strong,
textarea,legend,p,li,div.elementor-widget-woocommerce-my-account,a,div.post-summary,span.time time.post-published,div.footer-copy-row,div.section-heading span.h-text 
{ font-family: YekanBakh !important;}

h1,h2,h3,h4,h5,h6 {
    font-family: Abar !important;

}


div.star-rating span { font-family: "woodmart-font" !important;}

body .woocommerce-breadcrumb .breadcrumb-last, body .yoast-breadcrumb .breadcrumb_lastm, body .woocommerce-ordering.wd-style-underline select 
{ font-weight: 400;}

body.woocommerce span.wd-filter-lable.layer-term-lable { font-size: 16px;}

span.adt-custom-span {
    background: var(--e-global-color-primary);
    color: #fff;
    padding: 0 10px;
    border-radius: 7px;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= font - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= about us page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
.at-about-us-img-1::before, .at-about-us-img-1::after {
    content: "";
    width: 37px;
    height: 37px;
    position: absolute;
    background-image: url("https://addtrolly.com/wp-content/uploads/2023/08/star-icon-3.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border: none;
}
.at-about-us-img-1::before {
    bottom: 68px;
    left: -17px;
}
.at-about-us-img-1::after {
    top: 235px;
    right: -17px;
}
.at-about-us-img-2::before {
    content: "";
    width: 157px;
    height: 100px;
    position: absolute;
    bottom: 75px;
    left: -191px;
    background-image: url("https://addtrolly.com/wp-content/uploads/2023/08/pattern-1-min.png");
    background-repeat: repeat;
    background-position: center;
    background-size: contain;
    opacity: 0.4;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= about us page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= header - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
/* hide border just in home page */
body.home .whb-general-header { border-bottom-width: 0;}

/* pishro login */
header.whb-header_764078 .whb-row.whb-general-header .whb-column.whb-col-left .wd-header-text { flex: unset;}

/* ----- wd tools element (right column) ----- */
body header.whb-header .wd-tools-element>a .wd-tools-icon {
    border-radius: 50%;
    box-shadow: 0 0 15px #f2eff5;
}
body header.whb-header div.whb-general-header-inner span.wd-cart-number.wd-tools-count {
    top: 1px;
    right: 4px;
    box-shadow: none;
    background: var(--e-global-color-primary);
    color: transparent;
    width: 8px;
    height: 8px;
}

/* ----- product cat menu ----- */
body header.whb-header div.wd-header-cats .wd-nav-vertical.wd-design-default>li:not(:last-child) { border-bottom: none;}

body header.whb-header div.wd-header-cats ul#menu-product-category>li>a { font-weight: 500;}

body header.whb-header .wd-header-cats .menu-opener {
    padding: 10px 20px;
    min-width: unset;
    height: unset;
    border-top-left-radius: unset;
    border-top-right-radius: unset;
    box-shadow: 0 0 15px #f2eff5;
    border-radius: 200px;
    cursor: pointer;
    color: var(--e-global-color-primary);
}
body header.whb-header .wd-header-cats { margin-left: 40px;}

body header.whb-header .wd-header-cats .menu-opener:after {
    font-size: 11px;
    margin-right: 10px;
}

body header.whb-header ul#menu-product-category {
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.15);
    border-radius: var(--wd-brd-radius);
    border: none;
    padding: 0;
}

body header.whb-header .wd-dropdown.wd-dropdown-cats { padding-top: 27px;}

/* ----- wd dropdown itemes animation ----- */
body header.whb-header div.wd-header-cats .wd-dropdown.wd-dropdown-cats li.menu-item .wd-dropdown li.menu-item>a::before,
body header.whb-header div.wd-header-my-account div.wd-dropdown-my-account ul.wd-sub-menu li.woocommerce-MyAccount-navigation-link::before {
    content: "";
    width: 50px;
    height: 5px;
    position: absolute;
    top: 50%;
    right: -70px;
    transform: translate(0px, -50%);
    background: var(--e-global-color-primary);
    border-radius: 150px;
    transition: all 0.3s;
    opacity: 0;
}

body header.whb-header div.wd-header-my-account div.wd-dropdown-my-account ul.wd-sub-menu li.woocommerce-MyAccount-navigation-link:hover::before {
    right: -50px;
    transition: all 0.3s;
    opacity: 1;
}

body header.whb-header div.wd-header-my-account div.wd-dropdown-my-account ul.wd-sub-menu li.woocommerce-MyAccount-navigation-link:hover>a { margin-right: 12px;}

body header.whb-header .wd-dropdown.wd-dropdown-menu.wd-dropdown-my-account>.wd-sub-menu {
    overflow: hidden;
    padding: 12px 20px;
}

body header.whb-header .wd-dropdown.wd-dropdown-menu.wd-dropdown-my-account.wd-design-default { padding: 0;}

body header.whb-header div.wd-header-cats .wd-dropdown.wd-dropdown-cats li.menu-item .wd-dropdown li.menu-item:hover>a::before {
    right: -30px;
    transition: all 0.3s;
    opacity: 1;
}

body header.whb-header div.wd-header-cats .wd-dropdown.wd-dropdown-cats li.menu-item .wd-dropdown li.menu-item:hover>a {
    padding-right: 30px;
    color: var(--e-global-color-primary);
}

body header.whb-header div.wd-header-cats .wd-dropdown-menu.wd-dropdown div.container ul.wd-sub-menu li.menu-item>a {
    padding: 8px 22px;
    margin: 0;
    overflow: hidden;
}

/*body header.whb-header div.wd-header-cats .wd-dropdown-menu.wd-dropdown, body header.whb-header .wd-dropdown-menu.wd-design-default .wd-dropdown { padding: 10px 0 !important;}*/

body header.whb-header div.wd-header-cats .wd-dropdown-menu.wd-design-default>.container {
    width: 100%;
    min-width: 100%;
}

body header.whb-header div.wd-header-cats .wd-dropdown-menu.wd-design-default .wd-dropdown { margin: 0;}

body header.whb-header .whb-column.whb-col-left.whb-visible-lg .wd-header-nav.wd-header-secondary-nav.text-right { flex: 0 0 auto !important;}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= header - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= brands page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
body.page-id-30360 div.brands-widget .brand-item {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    padding: 0 !important;
}
body.page-id-30360 div.brands-widget .brand-item a { font-size: 18px;}
body.page-id-30360 div.brands-widget .brand-item a:hover img { box-shadow: 0 10px 20px -5px rgb(0 0 0 / 30%);}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= brands page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= FAQ - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
body.page-id-30641 .wd-accordion-content.reset-last-child, body.page-id-1477 .wd-accordion-content.reset-last-child, body.page-id-1479 .wd-accordion-content.reset-last-child {
    padding: 5px 15px;
    border-right: 2px solid var(--e-global-color-primary);
    margin: 0 0 20px 0;
    background: linear-gradient(270deg, #6554b40d, transparent);
}

body.page-id-30641 .wd-accordion-title, body.page-id-1477 .wd-accordion-titlem body.page-id-1479 .wd-accordion-title { padding: 10px 0;}

body.page-id-30641 .wd-accordion-content.reset-last-child p, body.page-id-1477 .wd-accordion-content.reset-last-child p, body.page-id-1479 .wd-accordion-content.reset-last-child p { text-align: justify;}

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= FAQ - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= my account - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
div.wd-my-account-sidebar { 
    background-color: rgb(255 255 255);
    padding-inline-start: 10px !important;
    padding: 10px;
    border-radius: 10px;
}
@media (max-width: 768.98px){
.e-my-account-tab .wd-my-account-sidebar {
    padding-inline: 0px;
    padding: 10px;
    }
}
body .woocommerce-MyAccount-navigation ul li a { color: #5d5d5d !important;}
body .woocommerce-MyAccount-navigation ul li.is-active a, body .woocommerce-MyAccount-navigation ul li:hover a { color: #fff !important;}
h3.woocommerce-MyAccount-title.entry-title { display: none;}
div.wd-my-account-sidebar { border-inline-end: none;}
.woocommerce-Address {
    width: 50% !important;
    min-width: 50% !important;
}
table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details { border: none !important;}
.woocommerce-order-details .responsive-table {
    padding: 30px;
    background-color: #fff;
    border-radius: 30px;
}

/* ----- Address - start ----- */
body .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce-Address .edit, body .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce-Addresses .edit {
    float: unset;
    position: inherit;
    margin-right: unset;
    margin-top: unset;
}

header.woocommerce-Address-title.title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: nowrap;
    align-items: center;
    margin: 15px 0;
}
.woocommerce-Address address::before, section.woocommerce-customer-details address::before {
    content: "";
    width: 85px;
    height: 85px;
    position: absolute;
    background-image: url("https://addtrolly.com/wp-content/uploads/2023/08/location-icon-min.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    opacity: 0.3;
}
.woocommerce-Address address::before {
    bottom: 7px;
    left: 14px;
}
section.woocommerce-customer-details address::before {
    bottom: 32px;
    left: 8px;
}
/* ----- Address - end ----- */

/* wish list page  */
body.page-id-8 nav.woocommerce-MyAccount-navigation > ul > li > a {
    background: #F9F6FF;
    margin: 10px 0;
}
body.page-id-8 .woocommerce-MyAccount-navigation ul li.is-active>a {
    background-color: var(--e-global-color-primary);
    cursor: pointer;
}
body.page-id-8 .woocommerce-MyAccount-navigation ul li:hover a {
    color: #fff !important;
    background: var(--e-global-color-primary);
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= my account - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= footer - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
div#adt-footer-right { overflow: hidden;}

/* footer + mini cart style */
div#adt-footer-right::before, div#adt-footer-right::after, .cart-widget-side .shopping-cart-widget-body.wd-scroll::before, .cart-widget-side .shopping-cart-widget-body.wd-scroll::after {
    content: "";
    width: 100px;
    height: 100px;
    position: absolute;
    filter: blur(34px);
}
div#adt-footer-right::before {
    top: -27px;
    left: -18px;
    background: #f1ebfe;
}
div#adt-footer-right::after {
    bottom: -27px;
    right: -18px;
    background: #fce8f1;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= footer - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= mini cart - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
.cart-widget-side .product_list_widget>li .wd-entities-title, .cart-widget-side .close-side-widget.wd-action-btn.wd-style-text.wd-cross-icon a {
    font-size: 16px;
    font-weight: 500;
}
.cart-widget-side .wd-heading span.title { font-size: 17px;}
.cart-widget-side .shopping-cart-widget-body.wd-scroll::before {
    top: 0px;
    left: -52px;
    background: var(--e-global-color-primary);
    filter: blur(70px);
}
.cart-widget-side .shopping-cart-widget-body.wd-scroll::after {
    bottom: 0px;
    right: -52px;
    background: var(--e-global-color-secondary);
    filter: blur(70px);
}
.cart-widget-side .shopping-cart-widget-body.wd-scroll{ overflow: hidden;}
p.woocommerce-mini-cart__total.total span.woocommerce-Price-amount.amount { text-align: center;}
p.woocommerce-mini-cart__total.total > strong { display: none;}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= mini cart - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= product wrapper - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
.product-wrapper {
    box-shadow: 0 0 20px #f6f5fd !important;
    border-radius: 25px !important;
    transition: all 0.3s;
}
.owl-carousel .product-wrapper { margin: 30px 0 !important;}

.product-wrapper:hover { box-shadow: 0 10px 30px #dcdae9 !important;}

/* ----- product image ----- */
div.product-wrapper img.attachment-full.size-full { padding: 10px;}

img.attachment-woocommerce_thumbnail { padding: 15px;}

div.product-grid-item.instock div.wd-quick-shop a.product-image-link {filter: grayscale(0%);}

div.product-grid-item.outofstock div.wd-quick-shop a.product-image-link, div.product-grid-item.outofstock div.product-image-wrap figure>a { filter: grayscale(100%);}

/* ----- product lable ----- */
div.product-wrapper .labels-rectangular .product-label {
    padding: 5px 13px;
    font-size: 14px;
    border-radius: 10px;
    margin-right: 0;
    font-weight: 400;
}
div.product-wrapper .labels-rectangular .product-label:nth-child(1) { border-radius: 0 0 10px 10px;}
div.product-wrapper .product-labels.labels-rectangular {
    top: -1px;
    right: 20px;
}
div.product-labels {max-width: 80%}

/* ----- hidden wd btn when hover product wrapper image ----- */
body div.product-wrapper div.wd-buttons { display: none;}

/* ----- owl dots ----- */
div.owl-dots .owl-dot span, div.wd-slider ol.flickity-page-dots li {
    border: none;
    background-color: var(--e-global-color-primary);
    width: 12px;
    height: 12px;
}
div.owl-dots .owl-dot.active span, div.wd-slider ol.flickity-page-dots li.is-selected {
    border-color: unset;
    background-color: var(--e-global-color-secondary);
}
div.owl-dots, div.wd-slider ol.flickity-page-dots {
    width: fit-content;
    margin: 0 auto;
    border-radius: 150px;
    box-shadow: 0 0 15px #efeff7;
    padding: 5px 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}
div.owl-dot { margin-top: 0px !important;}

/* for home page slider */
div.wd-slider ol.flickity-page-dots {
    right: 5px;
    bottom: 5px;
}

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= product wrapper - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= home page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
/* ----- custom section title's ----- */
.adt-custom-title .liner-continer {
    position: relative;
    z-index: 100;
}
.adt-custom-title .title-wrapper {
    width: max-content;
    position: relative;
}
.adt-custom-title .title-subtitle {
    margin-bottom: 0;
    position: absolute;
    z-index: 1;
    top: -28px;
    right: 55%;
    white-space: nowrap;
}
span.adt-title-main-color { color: var(--e-global-color-primary);}

/* ----- icon box (product cat sec & our servises sec) ----- */
.adt-icon-box-item > div {
    background: white !important;
    cursor: pointer;
}
.adt-icon-box-item > div * { transition: all 0.3s ease;}

/* for servis sec */
.elementor-element-dd7a6a5 .elementor-image-box-wrapper {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}
#adt-prdct-cat-sec .adt-icon-box-item > div:hover { background: var(--e-global-color-primary) !important;}

#adt-prdct-cat-sec .adt-icon-box-item>div:hover .elementor-icon-box-content * { color: #fff !important;}

#adt-prdct-cat-sec .adt-icon-box-item>div:hover .elementor-icon * { stroke: #fff;}

#adt-prdct-cat-sec .adt-icon-box-item a.elementor-icon>svg {
    width: 80px;
    height: 80px;
}
/* ----- box shadow ----- */
.adt-icon-box-item > div::after, .adt-shadow-icon-box > div::before, .adt-testimonial-box-cont::before, .adt-testimonial-box-cont::after {
    content: "";
    width: 70px;
    height: 70px;
    position: absolute;
    filter: blur(45px);
}
.adt-shadow-icon-box > div::before {
    top: -35px;
    right: -35px;
    background: #cebbda;
}
.adt-shadow-icon-box > div::after {
    bottom: -35px;
    left: -35px;
    background: #f5c0d8;
}
.adt-shadow-icon-box > div {
    overflow: hidden;
    position: relative;
}

/* ---------- testimonial sec ---------- */
div#slider-3771 .adt-testimonial-box-cont { overflow: hidden;}
div#slider-3771 .adt-testimonial-box-cont::before {
    top: -15px;
    left: -15px;
    background: #cebbda;
}
div#slider-3771 .adt-testimonial-box-cont::after {
    bottom: -15px;
    right: -15px;
    background: #f5c0d8;
}
div#slider-3771 div.wd-slide-container {
    padding-right: 13%;
    padding-left: 5%;
    width: 100%;
    max-width: 100%;
}
div#slider-3771 div.wd-slide { box-shadow: none;}
div#slider-3771 button.flickity-button.flickity-prev-next-button.previous { top: calc(50% - 30px);}
div#slider-3771 button.flickity-button.flickity-prev-next-button.next { top: calc(50% + 30px);}
div#slider-3771 button.flickity-button {
    color: #fff;
    font-weight: 500;
    box-shadow: none;
    right: 16px;
    transform: rotate(270deg);
    background: var(--e-global-color-primary);
    width: 43px;
    height: 43px;
}
div#slider-3771 button.flickity-button:hover { background: var(--e-global-color-secondary) !important;}

/* ---------- main slider ---------- */
div#slider-3772 .wd-slide-container {
    padding-right: 0;
    padding-left: 0;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}
div#slider-3772 div.wd-slide-inner { max-width: 100%;}
div#at-home-slider div.wd-slide { box-shadow: none;}
div#at-home-slider div.wd-slide-container {
    padding-top: 70px;
    padding-bottom: 70px;
}
/* product image shadow */
div#at-home-slider .adt-slider-img::before, div#at-home-slider .adt-slider-img::after {
    content: "";
    width: 70px;
    height: 70px;
    position: absolute;
    border-radius: 50%;
    filter: blur(53px);
    z-index: -1;
}
div#at-home-slider .adt-slider-img::before {
    top: 27px;
    right: 0px;
    background: var(--e-global-color-primary);
}
div#at-home-slider .adt-slider-img::after {
    bottom: 50px;
    left: 0px;
    background: var(--e-global-color-secondary);
}
#slider-3772 .wd-slider.flickity-enabled { overflow: visible;}
#slider-3772 .wd-slider button.flickity-button.flickity-prev-next-button.previous { right: -85px;}
#slider-3772 .wd-slider button.flickity-button.flickity-prev-next-button.next { left: -85px;}

/* product price */
div.adt-slide-1-prdct-price span.adt-slide-1-prdct-price-1 {
    font-size: 26px;
    color: #000000
}
div.adt-slide-1-prdct-price span.adt-slide-1-prdct-price-2 {
    font-size: 17px;
    color: #eb7171
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= home page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= cart page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
div.woocommerce-reward-points-text-container .amount { color: rgb(255 255 255);}
div.woocommerce-reward-points-text-container { border-radius: 25px;}

body.woocommerce-cart .cart-totals-inner > h2 { text-align: right;}
body.woocommerce-cart .cart-totals-inner {
    position: relative;
    overflow: hidden;
    border: 1px solid var(--e-global-color-9f685b4);
    border-radius: 5px;
    box-shadow: 0 0 15px var(--e-global-color-d0ec8ee);
    padding: 15px;
}
body.woocommerce-cart .cart-totals-inner::before, body.woocommerce-cart .cart-totals-inner::after, body.woocommerce-cart .cart-table-section::after {
    content: "";
    width: 70px;
    height: 70px;
    filter: blur(70px);
    border-radius: 50%;
    position: absolute;
}
body.woocommerce-cart .cart-totals-inner::before {
    background: var(--e-global-color-primary);
    top: 0px;
    left: 0px;
}
body.woocommerce-cart .cart-totals-inner::after,  body.woocommerce-cart .cart-table-section::after {
    background: var(--e-global-color-secondary);
    bottom: 0px;
    right: 0px;
}
body.woocommerce-cart .cart-totals-inner table th { white-space: nowrap;}
.wd-coupon-form .button[name="apply_coupon"], .cart-totals-inner .wc-proceed-to-checkout .checkout-button {
    border-radius: 25px !important;
}
.elementor-alert {
    border-radius: 5px;
}
button.elementor-alert-dismiss {
    display: none !important;
}
.wd-coupon-form .button[name="apply_coupon"]:hover, .cart-totals-inner .checkout-button:hover {
    color: var(--btn-accented-color-hover);
    box-shadow: var(--btn-accented-box-shadow-hover);
    background-color: var(--btn-accented-bgcolor-hover);
    border: 1px solid #7156b1 !important;
}
input#coupon_code {
    background-color: #FFF;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= cart page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= checkout page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
body.woocommerce-checkout .actions.clearfix ul li:first-child a {
    background: var(--e-global-color-primary) !important;
    opacity: 0.3;
}
body.woocommerce-checkout .actions.clearfix ul li:first-child:hover a { opacity: 1;}
body.woocommerce-checkout .actions.clearfix ul li a { border-radius: 7px;}

#shipping_method input.shipping_method {
    float: right !important;
    margin-inline-end: 5px !important;
}
a.btn.btn-primary.button.woocommerce-reward-points-redemption-form-button {
    margin-right: 10px;
    border-radius: 30px;
    display: inline-flex;
}
button#place_order {
    border-radius: 30px !important;
}
button#place_order:hover {
    border: 1px solid #7156b1 !important;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= checkout page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= shop page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
body .product-labels span.attribute-label.label-attribute-pa_color img {
    border-radius: 150px;
    width: 20px;
}
body .widget_price_filter [class*="price_slider_amount"] .price_label>span { font-weight: 400;}

/* ----- sidebar ----- */
div.adt-shop-slider .wd-swatches-brands.wd-scroll-content span.wd-swatch.wd-bg.wd-tooltip { display: none;}
div.adt-shop-slider .wd-swatches-brands .wd-filter-lable { margin-inline-start: 0;}
div.adt-shop-slider div.elementor-widget-wd_sidebar div.widget {
    margin-bottom: 11px;
    padding-bottom: 11px;
    min-width: 100%;
}
body.woocommerce  .wd-collapsible-content:not(.wd-opened):after {
    border-style: solid;
    border-width: 0px 1px 1px 1px;
    border-color: var(--e-global-color-9f685b4);
    border-radius: 0px 0px 30px 30px;
}
.wd-off-canvas-btn.wd-action-btn.wd-style-text > a { font-weight: 400;}
div.wd-widget-collapse .widget-title {
    font-weight: normal;
    font-size: 16px;
}

/* categories carousel */
body.woocommerce div.categories-style-carousel div.owl-stage-outer .owl-stage {
    display: flex;
    align-items: flex-end;
}

body .product-wrapper .product-element-bottom * { font-weight: normal;}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= shop page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= single product page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
video.wph-prdct-video {
    border-radius: 10px;
    width: 500px !important;
    height: 400px !important;
    background: linear-gradient(to top, #6554b4 0%, #FFFFFF 100%);
}
.adt-product-payment-column {overflow: hidden;}
.adt-product-payment-column::before, .adt-product-payment-column::after {
    content: "";
    width: 80px;
    height: 80px;
    position: absolute;
    filter: blur(100px);
}
.adt-product-payment-column::before {
    top: 0px;
    left: 0px;
    background: var(--e-global-color-primary);
}
.adt-product-payment-column::after {
    bottom: 0px;
    right: 0px;
    background: var(--e-global-color-secondary);
}
/* ----- Product Tabs ----- */
div.adt-custom-prdct-tabs div.e-n-tabs .e-n-tab-title.e-normal::after {
    content: "";
    width: 6px;
    height: 34px;
    position: absolute;
    bottom: -65px;
    right: 50%;
    transform: translate(50%,0);
    background: var(--e-global-color-primary);
    border-radius: 10px;
    filter: blur(0px);
    opacity: 0;
    transition: all 0.3s;
}
div.adt-custom-prdct-tabs div.e-n-tabs .e-n-tab-title.e-normal:hover::after, div.adt-custom-prdct-tabs div.e-n-tabs .e-n-tab-title.e-normal.e-active::after {
    bottom: -30px;
    opacity: 1;
}

/* Reviews */
div#reviews { display: flex !important;}

/* product title */
body .product_title {
    font-size: 20px;
    border-bottom: none;
    padding-bottom: 0;
}

/* ----- Product Table ----- */
button.e-n-tab-title {
    background-color: #fff0 !important;
}

body.single .elementor-widget-wd_single_product_content table tr:nth-child(1) td {
    background: var(--e-global-color-primary) !important;
    border-radius: 10px;
}
body.single .elementor-widget-wd_single_product_content table tr:nth-child(1) td span {
    color: #fff !important;
    font-size: 16px !important;
}
body.single .elementor-widget-wd_single_product_content table tbody > tr {
    border-radius: 10px;
    border: 2px solid white !important;
    background: #fbfaff !important;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= single product page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= wd toolbar (sticky bottom menu in mobile) - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
/* ----- for container and inactive items ----- */
div.wd-toolbar.wd-toolbar-label-show {
    padding: 0;
    width: 75%;
    margin: 0 auto 10px auto;
    border-radius: 150px;
    box-shadow: 0px 5px 10px 0px #dadae9;
}
div.wd-toolbar .wd-toolbar-shop { height: 100%;}

/* ----- icon - start ----- */
/* icon size for inactive items */
div.wd-toolbar .wd-tools-element .wd-tools-icon:before { font-size: 19px;}

/* icon size for active item */
body.woocommerce div.wd-toolbar .wd-toolbar-shop > a .wd-tools-icon:before, /* for all woocommerce page */
body.woocommerce-cart div.wd-toolbar .wd-header-cart > a .wd-tools-icon:before, /* for cart page */
body.page-id-8219 div.wd-toolbar .wd-header-my-account > a .wd-tools-icon:before, /* for my account page */
body.page-id-8219 div.wd-toolbar .wd-toolbar-link > a .wd-tools-icon:before, /* for my account page - pishro login */
body.page-id-32136 div.wd-toolbar .wd-toolbar-link > a .wd-tools-icon:before /* for my account page - pishro login */
{
    font-size: 20px;
    color: var(--e-global-color-primary);
}
div.wd-toolbar .wd-sidebar-opener.wd-on-shop>a:before { font-size: 19px;} /* for filter icon */
/* ----- icon - end ----- */

/* ----- Background - start ----- */
/* for inactive item */
div.wd-toolbar.wd-toolbar-label-show>div a { height: 100%;}
body div.wd-toolbar .wd-tools-element { height: 100%;}

/* for active item */
body.woocommerce div.wd-toolbar .wd-toolbar-shop > a, /* for all woocommerce page */
body.woocommerce-cart div.wd-toolbar .wd-header-cart > a, /* for cart page */
body.page-id-8219 div.wd-toolbar .wd-header-my-account > a, /* for my account page */
body.page-id-8219 div.wd-toolbar .wd-toolbar-link > a, /* for my account page - pishro login */
body.page-id-32136 div.wd-toolbar .wd-toolbar-link > a /* for my account page - pishro login */
{
    border-bottom: 2px solid var(--e-global-color-primary);
    background: linear-gradient(0deg, #6554b438, transparent);
    height: 100%;
    padding: 0 10px 15px 10px;
}
/* ----- Background - end ----- */

div.wd-toolbar .wd-toolbar-label { font-weight: 500;}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= wd toolbar (sticky bottom menu in mobile) - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= testimonials page - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
body.page-id-31044 div#comments>div::before {
    content: "";
    width: 160px;
    height: 160px;
    position: absolute;
    top: -70px;
    right: -140px;
    background-image: url("https://addtrolly.com/wp-content/uploads/2023/08/arrow-min.png");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0.3;
}
body.page-id-31044 div#comments { position: relative;}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= testimonials page - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= comments - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */
ol.comment-list li.comment>div {
    padding: 20px;
    border-radius: 20px;
    box-shadow: 0 0 20px -3px #ece7f8;
}
div#comments .comment {
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: none;
}
div#comments .children {
    margin-top: 10px;
    margin-right: 30px;
    border-top: none;
}
div#comments { position: relative;}
div#comments .comment-author span.says { display: none;}
.reply > a {
    font-size: 15px;
    font-weight: 400;
}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= comments - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= responsive - start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* ----- DESKTOP ONLY CSS - start ----- */
div.container {max-width: 80%;}

/* ----- DESKTOP ONLY CSS - end ----- */

/* ----- LAPTOP ONLY CSS - start ----- */
@media only screen and (max-width: 1440px) {
    div.container { max-width: 85%;}

    /* home page - main slider */
    div#at-home-slider div.adt-slide-1-prdct-price span.adt-slide-1-prdct-price-1 { font-size: 20px;}
    div#at-home-slider div.adt-slide-1-prdct-price span.adt-slide-1-prdct-price-2 {font-size: 14px;}
    div#at-home-slider div.wd-slide-container {
        padding-top: 50px;
        padding-bottom: 40px;
    }

    /* home page - prdct cat sec */
    #adt-prdct-cat-sec .adt-icon-box-item a.elementor-icon>svg {
        width: 65px;
        height: 65px;
    }

    /* home page - testimonial sec */
    div#slider-3771 button.flickity-button {
        width: 40px;
        height: 40px;
    }
}

/* ----- LAPTOP ONLY CSS - end ----- */

/* ----- TABLET ONLY CSS - start ----- */
@media only screen and (max-width: 1024px) {
    div.container { max-width: 90%;}
    
    /* home page - prdct cat sec */
    #adt-prdct-cat-sec .adt-icon-box-item.adt-shadow-icon-box:nth-child(1) { animation-delay: 1.5s !important;}
    #adt-prdct-cat-sec .adt-icon-box-item.adt-shadow-icon-box:nth-child(2) { animation-delay: 1.75s !important;}
    #adt-prdct-cat-sec .adt-icon-box-item.adt-shadow-icon-box:nth-child(3) { animation-delay: 2s !important;}

    /* home page - hero + mini cart saidbar */
    .adt-home-page-hero-mobile::before, .adt-home-page-hero-mobile::after {
        content: "";
        width: 100px;
        height: 100px;
        position: absolute;
        border-radius: 50%;
        filter: blur(100px);
    }
    .adt-home-page-hero-mobile::before {
        top: 10px;
        right: -10%;
        background: var(--e-global-color-primary);
    }
    .adt-home-page-hero-mobile::after {
        bottom: 10px;
        left: -10%;
        background: var(--e-global-color-secondary);
    }

    /* hide scroll bar in home page */
    body ::-webkit-scrollbar,
    body.woocommerce div.elementor-widget-wd_product_categories ::-webkit-scrollbar {
        width: 0 !important;
        background: transparent !important;
    }

    /* how many product box show in product wrapper */
    body .owl-items-md-4:not(.owl-loaded)>div { flex: 0 0 30%;}
    .owl-carousel .product-wrapper {margin: 0 0 !important;}
    
    /* single product page - second col*/
    .adt-single-prdct-main-col { box-shadow: 0 0 15px 0 #F3F3FA;}
    
    /* home page - skin routine sec */
    body.home div#adt-skin-routine-home { background-image: none;}
}

/* ----- TABLET ONLY CSS - end ----- */

/* ----- MOBILE ONLY CSS  - start ----- */
@media only screen and (max-width: 700px) {
    div.container { max-width: 95%;}
    
    /* home page - hero */
    .adt-home-page-hero-mobile::before, .adt-home-page-hero-mobile::after {
        content: "";
        width: 80px;
        height: 80px;
        filter: blur(70px);
    }

    /* brands page */
    body.page-id-30360 div.brands-widget .brand-item { flex: 0 0 50%;}
    body.page-id-30360 div.brands-widget .brand-item a { font-size: 16px;}
    
    /* home page - prdct cat sec */
    #adt-prdct-cat-sec .adt-icon-box-item a.elementor-icon>svg {
        width: 50px;
        height: 50px;
    }
    
    /* how many product box show in product wrapper */
    body .owl-items-md-4:not(.owl-loaded)>div { flex: 0 0 40%;}
    body [class*="wd-carousel-spacing-"] .wd-owl:not(.owl-loaded)>div {
        padding-right: 10px;
        padding-left: 10px;
    }
    
    /* home page - testimonial sec */
    div#slider-3771 .adt-testimonial-box-cont .elementor-image-box-wrapper {  text-align: center;}
    div#slider-3771 .adt-testimonial-box-cont .elementor-image-box-wrapper .elementor-image-box-img { width: 20%;}
    div#slider-3771 .adt-testimonial-box-cont { padding: 20px;}
    div#slider-3771 button.flickity-button {
        position: static !important;
        margin-top: 10px;
        transform: rotate(0deg);
    }
    div#slider-3771 button.flickity-button.flickity-prev-next-button.previous { margin-right: calc(50% - 40px);}
    div#slider-3771 button.flickity-button.flickity-prev-next-button.next { margin-right: 5%;}
    div#slider-3771 div.wd-slide-container { padding: 0 5%;}
    div#slider-3771 .wd-slide-container .wd-slide-inner { max-width: 100%;}
    
    /* ----- Product Table ----- */
    body.single .elementor-widget-wd_single_product_content table { width: 100% !important;}
    
    
    /* ----- wd toolbar (sticky bottom menu in mobile) ----- */
    div.wd-toolbar.wd-toolbar-label-show { height: 60px;}
    div.wd-toolbar .wd-toolbar-label { bottom: 5px;}
    div.wd-toolbar.wd-toolbar-label-show { width: 80%;}
    
    /* ----- shop page ----- */
    p.woocommerce-result-count {font-size: 13px;}
    /* hide off canvas text */
    .wd-off-canvas-btn.wd-action-btn.wd-style-text.wd-burger-icon a {
        text-indent: -9999px;
        overflow: hidden;
    }
    .wd-off-canvas-btn.wd-action-btn.wd-style-text.wd-burger-icon a::before { text-indent: 0px;}
    .disable-owl-mobile div.wd-owl { 
        mask-image: linear-gradient(to right, #ff000000 15px, #000 90px);
        -webkit-mask-image: linear-gradient(to right, #ff000000 15px, #000 90px);
    }
    
    /* MyAccount */
    .woocommerce-MyAccount-content-wrapper { margin: 0 7%;}
}
/* ----- MOBILE ONLY CSS  - end ----- */

/* ----- custom ----- */

/* for header second colmn 
@media (min-width: 1441px) { body .whb-header-bottom { display: none !important;}}
@media (min-width: 1024px) and (max-width: 1440px) {
    body .whb-general-header-inner .whb-col-center > div { display: none !important;}
}*/
@media (max-width: 530px) { 
    /* how many product box show in product wrapper */
        body .owl-items-md-4:not(.owl-loaded)>div { flex: 0 0 60%;}
        body [class*="wd-carousel-spacing-"] .wd-owl:not(.owl-loaded)>div {
        padding-right: 8px;
        padding-left: 8px;
    }
    /* custom title */
    .adt-custom-title .title-subtitle {
        top: -20px;
        right: 10%;
    }
    
    /* wd toolbar (sticky bottom menu in mobile */
    div.wd-toolbar.wd-toolbar-label-show { width: 90%;}
}

@media (min-width: 1441px) {.product-wrapper {margin: 10px 0px !important;}}
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= responsive - end =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= */

/* need help section in bottom pages */
.adt-need-help {overflow: hidden;}
.adt-need-help::before, .adt-need-help::after {
    content: "";
    width: 60px;
    height: 60px;
    border: none;
    filter: blur(50px);
    position: absolute;
}
.adt-need-help::before {
    background: var(--e-global-color-primary);
    top: 0px;
    left: 0px;
}
.adt-need-help::after {
    background: var(--e-global-color-secondary);
    bottom: 0px;
    right: 0px;
}


.woocommerce-product-details__short-description ul li {
    list-style-type: none;
}

.shop_table tr :is(td,th):last-child ul li, .shop_table tr td p.woocommerce-shipping-destination {
    text-align: right !important;
}


/**free gift for woocommerce - cart psge - start */
a.button.fgf-add-manual-gift-product {
    padding: 5px 10px 5px 10px;
    border-radius: 8px;
    border: 1px solid #eee;
}
.fgf-gift-product-add-to-cart-actions p {
    margin: 0px !important;
}

/**============ new design =================**/
.wph-shadow .elementor-widget-container .elementor-icon-wrapper .elementor-icon i.fas.fa-circle {
    border-radius: 100%;
    box-shadow: rgb(81 69 139 / 73%) 0px 19px 36px, rgb(81 69 139 / 73%) 0px 3px 12px;
}

/* product page */
:is(.breadcrumbs,.yoast-breadcrumb) :is(a,span) {
    text-transform: uppercase;
    font-weight: 400;
    font-size: 14px !important;
}

